---
author: Asan Agibetov, Georg Dorffner
---

# ML in der Medizin: Übung 4

## Installation

*Usage of Python virtual environments (https://docs.python.org/3/tutorial/venv.html)  or conda (https://docs.conda.io/en/latest/) virtual environments is highly encouraged*

The command line instructions below will install Python packages in your current default Python environment. This exercise should be executed with **Python 3**, not Python 2! Unlike our previous exercises, we will be using `Keras` (with `tensorflow` backend) as our deep learning library this time.

```bash
pip3 install -U pip
pip3 install tensorflow keras pandas scikit-learn
pip3 install jupyter 
```

If you have access to GPU, then you can install tensorflow with GPU support (assumes you have correct NVIDIA CUDA drivers). 

## Execution

Extract files from a zip archive and run a jupyter notebook. 

```bash
unzip uebung-4.zip
cd uebung-4
jupyter notebok
```

Reply to questions, and do the tasks described inside the notebook. Hand in a completed notebook preferrably in *ipynb* format, with all cells executed. Alternatively, you can hand in a generated *pdf* or *html* report. See jupyter nbconvert for more info https://nbconvert.readthedocs.io/en/latest/.
